Package org.eclipse.m2m.atl.adt.ui.text.atl

# Class AtlContextType

java.lang.Object
org.eclipse.jface.text.templates.TemplateContextType
org.eclipse.m2m.atl.adt.ui.text.atl.AtlContextType

public class AtlContextType extends org.eclipse.jface.text.templates.TemplateContextType
The context types, used to provides content assist.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATL_CONTEXT_ID`
ATL file context.
`static final String`
`HELPER_CONTEXT_ID`
ATL helper context.
`static final String`
`LIBRARY_CONTEXT_ID`
ATL library context.
`static final String`
`MODULE_CONTEXT_ID`
ATL module context.
`static final String`
`QUERY_CONTEXT_ID`
ATL query context.
`static final String`
`RULE_CONTEXT_ID`
ATL rule context.

## Constructor Summary

Constructors
Constructor
Description
`AtlContextType()`
Initialize context types.

## Method Summary

Modifier and Type
Method
Description
`void`
`initializeContextTypeResolvers()`
Initializes the context type resolvers.

### Methods inherited from class org.eclipse.jface.text.templates.TemplateContextType

`addResolver, getId, getName, getResolver, removeAllResolvers, removeResolver, resolve, resolve, resolvers, setId, setName, validate, validateVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATL_CONTEXT_ID

public static final String ATL_CONTEXT_ID
ATL file context.

See Also:
  - Constant Field Values

### MODULE_CONTEXT_ID

public static final String MODULE_CONTEXT_ID
ATL module context.

See Also:
  - Constant Field Values

### QUERY_CONTEXT_ID

public static final String QUERY_CONTEXT_ID
ATL query context.

See Also:
  - Constant Field Values

### LIBRARY_CONTEXT_ID

public static final String LIBRARY_CONTEXT_ID
ATL library context.

See Also:
  - Constant Field Values

### RULE_CONTEXT_ID

public static final String RULE_CONTEXT_ID
ATL rule context.

See Also:
  - Constant Field Values

### HELPER_CONTEXT_ID

public static final String HELPER_CONTEXT_ID
ATL helper context.

See Also:
  - Constant Field Values

## Constructor Details

### AtlContextType

public AtlContextType()
Initialize context types.

## Method Details

### initializeContextTypeResolvers

public void initializeContextTypeResolvers()
Initializes the context type resolvers.